[package]
name = "zeroclock"
version = "1.0.1"
description = "A local time tracking app with invoicing"
authors = ["you"]
edition = "2021"

[lib]
name = "zeroclock_lib"
crate-type = ["lib", "cdylib", "staticlib"]

[build-dependencies]
tauri-build = { version = "2", features = [] }

[dependencies]
tauri = { version = "2", features = ["tray-icon"] }
tauri-plugin-shell = "2"
tauri-plugin-dialog = "2"
tauri-plugin-fs = "2"
tauri-plugin-notification = "2"
tauri-plugin-global-shortcut = "2"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
rusqlite = { version = "0.32", features = ["bundled"] }
chrono = { version = "0.4", features = ["serde"] }
tauri-plugin-window-state = "2"
log = "0.4"
env_logger = "0.11"
png = "0.17"

[dependencies.windows]
version = "0.58"
features = [
    "Win32_UI_WindowsAndMessaging",
    "Win32_System_Threading",
    "Win32_System_SystemInformation",
    "Win32_UI_Input_KeyboardAndMouse",
    "Win32_UI_Shell",
    "Win32_Graphics_Gdi",
    "Win32_Storage_FileSystem",
    "Win32_Foundation",
]

[profile.release]
panic = "abort"
codegen-units = 1
lto = true
opt-level = "s"
strip = true
